> ## Documentation Index
> Fetch the complete documentation index at: https://doc.allcomtelecom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Vincular a tag a um cliente

> Cria um vínculo entre uma tag e um usuário



## OpenAPI

````yaml POST /tag/link_costummer
openapi: 3.0.1
info:
  title: OpenAPI Auth Store
  description: API de exemplo para demonstração de autenticação e obtenção de tokens.
  license:
    name: Allcom Telecom
  version: 1.0.0
servers:
  - url: >-
      https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1
security: []
paths:
  /tag/link_costummer:
    servers:
      - url: https://api.allcomtelecom.com/api:XUynQtIz
        description: Cria um vínculo entre uma tag e um usuário
    post:
      description: Cria um vínculo entre uma tag e um usuário
      requestBody:
        description: Informações necessárias para vincular uma tag a um cliente.
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                token:
                  type: string
                  example: 20234397fs9vcd978qr308q9703cbfdbd9vuy07wrw97rq90qrw08
                page:
                  type: string
                  example: '1'
                per_page:
                  type: string
                  example: '25'
                offset:
                  type: string
                  example: offset
                tag_id:
                  type: string
                  example: tag_id
                tag_account:
                  type: string
                  example: tag_account
              required:
                - username
                - password
      responses:
        '200':
          description: Vínculo criado com sucesso!
          content:
            application/json:
              schema:
                type: object
                properties:
                  Sucesso:
                    type: string
                    example:
                      id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                      created_at: now
                      accounts_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                      tagaccounts_id: 0
                      device_name: string
                      serial_number: string
              example:
                id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                created_at: now
                accounts_id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                tagaccounts_id: 0
                device_name: string
                serial_number: string
        '400':
          description: Requisição mal formada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Input Error. Check the request payload for issues.
              example:
                error: Input Error. Check the request payload for issues.
        '401':
          description: Requisição requer autenticação.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Unauthorized
              example:
                error: Requisição requer autenticação.
        '403':
          description: O acesso ao recurso foi negado.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: >-
                        Access denied. Additional privileges are needed access
                        the requested resource
              example:
                error: >-
                  Access denied. Additional privileges are needed access the
                  requested resource
        '404':
          description: URI de API/Recurso inexiste para processamento.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Not Found. The requested resource does not exist.
              example:
                error: Not Found. The requested resource does not exist.
        '429':
          description: >-
            Quando um usuário ultrapassa os limites provisionados de requisições
            para determinado endpoint, a API retornará código HTTP 429 “Too Many
            Requests”
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Rate Limited. Too many requests.
              example:
                error: Rate Limited. Too many requests.
        '500':
          description: Erro Interno do servidor.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example:
                      errors: Unexpected error
              example:
                error: Unexpected error

````